Bug 1569331 - Libreoffice applications crash when tried to input through any IME
Summary: Libreoffice applications crash when tried to input through any IME
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 28
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-19 04:46 UTC by Bhushan Barve
Modified: 2019-06-11 13:13 UTC (History)
8 users (show)

Fixed In Version: libreoffice-6.0.3.2-5.fc28 libreoffice-6.0.3.2-4.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-27 04:09:19 UTC


Attachments (Terms of Use)
core_backtrace (17.40 KB, text/plain)
2018-04-19 04:48 UTC, Bhushan Barve
no flags Details


Links
System ID Priority Status Summary Last Updated
Document Foundation 116951 None None None 2018-04-19 18:56:31 UTC
Red Hat Bugzilla 1637949 None ASSIGNED [fix available] LibreOffice application crash while using any input method when Xsession is Wayland 2019-09-12 16:52:16 UTC

Internal Links: 1637949

Description Bhushan Barve 2018-04-19 04:46:41 UTC
Description of problem: Launched oowriter/calc/impress. selected Japanese (kana kanji) as the IME and tried to input. The application crashed with error -

[test@localhost ~]$ oowriter 


Fatal exception: Signal 11
Stack:
/usr/lib64/libreoffice/program/libuno_sal.so.3(+0x3d213)[0x7f0430414213]
/usr/lib64/libreoffice/program/libuno_sal.so.3(+0x3d519)[0x7f0430414519]
/lib64/libc.so.6(+0x36fd0)[0x7f042fd99fd0]
/lib64/libglib-2.0.so.0(g_utf8_pointer_to_offset+0x30)[0x7f042e48f570]
/usr/lib64/libreoffice/program/libvclplug_gtk3lo.so(+0x7e801)[0x7f0408f2e801]
/lib64/libgobject-2.0.so.0(+0xfd36)[0x7f042e738d36]
/lib64/libgobject-2.0.so.0(g_signal_emit_valist+0xec1)[0x7f042e755031]
/lib64/libgobject-2.0.so.0(g_signal_emit_by_name+0x4c4)[0x7f042e755ab4]
/lib64/libgobject-2.0.so.0(+0xfd36)[0x7f042e738d36]
/lib64/libgobject-2.0.so.0(g_signal_emit_valist+0xec1)[0x7f042e755031]
/lib64/libgobject-2.0.so.0(g_signal_emit_by_name+0x4c4)[0x7f042e755ab4]
/lib64/libgtk-3.so.0(+0x3d6593)[0x7f040896f593]
/lib64/libffi.so.6(ffi_call_unix64+0x4c)[0x7f04270b503e]
/lib64/libffi.so.6(ffi_call+0x35f)[0x7f04270b49ff]
/lib64/libwayland-client.so.0(+0x92dd)[0x7f04069822dd]
/lib64/libwayland-client.so.0(+0x5a39)[0x7f040697ea39]
/lib64/libwayland-client.so.0(wl_display_dispatch_queue_pending+0x7c)[0x7f040697ff5c]
/lib64/libgdk-3.so.0(+0x94018)[0x7f0408337018]
/lib64/libgdk-3.so.0(gdk_display_get_event+0x44)[0x7f04082d5b04]
/lib64/libgdk-3.so.0(+0x93d26)[0x7f0408336d26]
/lib64/libglib-2.0.so.0(g_main_context_dispatch+0x15d)[0x7f042e45e7cd]
/lib64/libglib-2.0.so.0(+0x4cb98)[0x7f042e45eb98]
/lib64/libglib-2.0.so.0(g_main_context_iteration+0x30)[0x7f042e45ec30]
/usr/lib64/libreoffice/program/libvclplug_gtk3lo.so(+0x465e3)[0x7f0408ef65e3]
/usr/lib64/libreoffice/program/libvcllo.so(_ZN11Application5YieldEv+0x32)[0x7f04280a2e32]
/usr/lib64/libreoffice/program/libvcllo.so(_ZN11Application7ExecuteEv+0x45)[0x7f04280a46b5]
/usr/lib64/libreoffice/program/libsofficeapp.so(+0x2dadd)[0x7f043014fadd]
/usr/lib64/libreoffice/program/libvcllo.so(+0x53f95a)[0x7f04280a995a]
/usr/lib64/libreoffice/program/libvcllo.so(_Z6SVMainv+0x34)[0x7f04280a9a74]
/usr/lib64/libreoffice/program/libsofficeapp.so(soffice_main+0x95)[0x7f0430177e75]
/usr/lib64/libreoffice/program/soffice.bin(+0x84f)[0x561ce83e584f]
/lib64/libc.so.6(__libc_start_main+0xeb)[0x7f042fd861bb]
/usr/lib64/libreoffice/program/soffice.bin(+0x88a)[0x561ce83e588a]
[test@localhost ~]$ 


Observed with any other IME including en_US (typing booster) as well.

Version-Release number of selected component (if applicable):
F28 (http://dl.fedoraproject.org/pub/fedora/linux/development/28/Workstation/x86_64/iso/)

How reproducible:
always

Steps to Reproduce:
1. launch any libreoffice application
2. select IME as Japanese (kana kanji) or EN_US (typing-booster)
3. try to input using the selected IME

Actual results:
The application crashes

Expected results:
User should be able to input without any error/crash.

Additional info:

Comment 1 Bhushan Barve 2018-04-19 04:48:37 UTC
Created attachment 1423892 [details]
core_backtrace

Comment 2 Fedora Update System 2018-04-20 08:08:21 UTC
libreoffice-6.0.3.2-4.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-9d4fe06eef

Comment 3 Fedora Update System 2018-04-20 14:45:54 UTC
libreoffice-6.0.3.2-4.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-9d4fe06eef

Comment 4 Bhushan Barve 2018-04-23 10:35:41 UTC
Checked with -
[test@localhost-live ~]$ rpm -qa libreoffice-core
libreoffice-core-6.0.3.2-4.fc28.x86_64

(Used live image from - http://dl.fedoraproject.org/pub/fedora/linux/development/28/Workstation/x86_64/iso/Fedora-Workstation-Live-x86_64-28-20180422.n.0.iso)

Still experiencing the same crash issue when tried to input using any IMEs.

[test@localhost-live ~]$ oocalc 


Fatal exception: Signal 11
Stack:
/usr/lib64/libreoffice/program/libuno_sal.so.3(+0x3d213)[0x7ff17e1fa213]
/usr/lib64/libreoffice/program/libuno_sal.so.3(+0x3d519)[0x7ff17e1fa519]
/lib64/libc.so.6(+0x36fd0)[0x7ff17db7ffd0]
/lib64/libglib-2.0.so.0(g_utf8_pointer_to_offset+0x30)[0x7ff17c275570]
/usr/lib64/libreoffice/program/libvclplug_gtk3lo.so(+0x7e841)[0x7ff156d14841]
/lib64/libgobject-2.0.so.0(+0xfd36)[0x7ff17c51ed36]
/lib64/libgobject-2.0.so.0(g_signal_emit_valist+0xec1)[0x7ff17c53b031]
/lib64/libgobject-2.0.so.0(g_signal_emit_by_name+0x4c4)[0x7ff17c53bab4]
/lib64/libgobject-2.0.so.0(+0xfd36)[0x7ff17c51ed36]
/lib64/libgobject-2.0.so.0(g_signal_emit_valist+0xec1)[0x7ff17c53b031]
/lib64/libgobject-2.0.so.0(g_signal_emit_by_name+0x4c4)[0x7ff17c53bab4]
/lib64/libgtk-3.so.0(+0x3d61a3)[0x7ff1567561a3]
/lib64/libffi.so.6(ffi_call_unix64+0x4c)[0x7ff174e9b03e]
/lib64/libffi.so.6(ffi_call+0x35f)[0x7ff174e9a9ff]
/lib64/libwayland-client.so.0(+0x92dd)[0x7ff15454e2dd]
/lib64/libwayland-client.so.0(+0x5a39)[0x7ff15454aa39]
/lib64/libwayland-client.so.0(wl_display_dispatch_queue_pending+0x7c)[0x7ff15454bf5c]
/lib64/libgdk-3.so.0(+0x94da8)[0x7ff15611cda8]
/lib64/libgdk-3.so.0(gdk_display_get_event+0x44)[0x7ff1560bb8c4]
/lib64/libgdk-3.so.0(+0x94ab6)[0x7ff15611cab6]
/lib64/libglib-2.0.so.0(g_main_context_dispatch+0x15d)[0x7ff17c2447cd]
/lib64/libglib-2.0.so.0(+0x4cb98)[0x7ff17c244b98]
/lib64/libglib-2.0.so.0(g_main_context_iteration+0x30)[0x7ff17c244c30]
/usr/lib64/libreoffice/program/libvclplug_gtk3lo.so(+0x46663)[0x7ff156cdc663]
/usr/lib64/libreoffice/program/libvcllo.so(_ZN11Application5YieldEv+0x32)[0x7ff175e88fd2]
/usr/lib64/libreoffice/program/libvcllo.so(_ZN11Application7ExecuteEv+0x45)[0x7ff175e8a855]
/usr/lib64/libreoffice/program/libsofficeapp.so(+0x2daf9)[0x7ff17df35af9]
/usr/lib64/libreoffice/program/libvcllo.so(+0x53fafa)[0x7ff175e8fafa]
/usr/lib64/libreoffice/program/libvcllo.so(_Z6SVMainv+0x34)[0x7ff175e8fc14]
/usr/lib64/libreoffice/program/libsofficeapp.so(soffice_main+0x95)[0x7ff17df5de85]
/usr/lib64/libreoffice/program/soffice.bin(+0x84f)[0x55bd12eaa84f]
/lib64/libc.so.6(__libc_start_main+0xeb)[0x7ff17db6c1bb]
/usr/lib64/libreoffice/program/soffice.bin(+0x88a)[0x55bd12eaa88a]

Moving it back to assigned.

Comment 5 Caolan McNamara 2018-04-24 12:26:10 UTC
lets try again

Comment 6 Fedora Update System 2018-04-25 08:21:17 UTC
libreoffice-6.0.3.2-5.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-e50da84dc8

Comment 7 Fedora Update System 2018-04-26 04:52:40 UTC
libreoffice-6.0.3.2-5.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-e50da84dc8

Comment 8 Fedora Update System 2018-04-27 04:09:19 UTC
libreoffice-6.0.3.2-4.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2018-04-27 23:07:08 UTC
libreoffice-6.0.3.2-5.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.